【活用ガイド】

JVNDB-2021-004775

OpenSSL における整数オーバーフローの脆弱性

概要

OpenSSL には、入力長がプラットフォーム上の整数の最大許容長に近い場合、EVP_CipherUpdate、EVP_EncryptUpdate、EVP_DecryptUpdate の呼び出しに不備があるため、整数オーバーフローの脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 7.5 (重要) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的
影響を受けるシステム


Debian
  • Debian GNU/Linux
OpenSSL Project
  • OpenSSL 1.1.1 から 1.1.1i
  • OpenSSL 1.0.2 から 1.0.2x
Tenable, Inc.
  • Log Correlation Engine
  • Nessus Network Monitor
オラクル
  • MySQL
  • Oracle Enterprise Manager Ops Center
  • Oracle GraalVM
  • Oracle NoSQL Database
日立
  • Hitachi Ops Center Analyzer viewpoint (海外販売のみ)
  • Hitachi Ops Center Common Services (海外販売のみ)
  • uCosminexus Application Server
  • uCosminexus Application Server(64)
  • uCosminexus Application Server-R
  • uCosminexus Developer
  • uCosminexus Primary Server Base
  • uCosminexus Primary Server Base(64)
  • uCosminexus Service Architect
  • uCosminexus Service Platform
  • uCosminexus Service Platform(64)

本脆弱性の影響を受ける製品の詳細については、ベンダ情報および参考情報をご確認ください。
想定される影響

アプリケーションが不正な動作をされる、またはクラッシュされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Debian OpenSSL Project Tenable, Inc. オラクル 三菱電機 日立
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 整数オーバーフローまたはラップアラウンド(CWE-190) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2021-23840
参考情報

  1. JVN : JVNVU#94508446
  2. JVN : JVNVU#90348129
  3. National Vulnerability Database (NVD) : CVE-2021-23840
  4. ICS-CERT ADVISORY : ICSA-21-336-06
更新履歴

  • [2021年11月30日]
      掲載
  • [2021年12月07日]
     参考情報:JVN (JVNVU#90348129) を追加
     参考情報:ICS-CERT ADVISORY (ICSA-21-336-06) を追加
  • [2022年05月12日]
      ベンダ情報:三菱電機 (MELSOFT GT OPC UA Client における OpenSSL の脆弱性に起因する情報漏えい及びサービス拒否(DoS)の脆弱性) を追加